Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Summary:        memory analysis tool
Name:      	exmap
Version:   	0.10
Release:   	2
License: 	GNU/GPL
URL:		http://www.berthels.co.uk/exmap/
Group:     	System/Utilities
Source0: 	%{name}-%{version}.tgz
Patch0:		%{name}-gcc43.patch
Patch1:		%{name}-kernel2626.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Requires:	kmod-exmap
BuildRequires:	atk-devel
BuildRequires:  glibc-devel
BuildRequires:  cairo-devel
BuildRequires:  gdk-pixbuf-devel
BuildRequires:  glib-devel
BuildRequires:  gtk+-devel
BuildRequires:  pango-devel
BuildRequires:  pcre-devel
BuildRequires:  libstdc++-devel

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1


%description
Exmap is a memory analysis tool which allows you to accurately determine how much physical memory and swap is used by individual processes and shared libraries on a running system. In particular, it accounts for the sharing of memory and swap between different processes.
Exmap uses a loadable kernel module to assign a unique id to each physical or swap page in use by each process. This information is then collated and 'effective' usage numbers calculated. A GTK program is provided to view the information.
Basically, this allows you to examine a complex system of processes and determine the effective memory usage of each process, mapped file, ELF section and ELF symbol, which can be helpful in memory optimisation work.


%prep
%setup -n %{name}-%{version}
%patch0 -p1
%patch1 -p1

%build
make

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_bindir}
install src/gexmap $RPM_BUILD_ROOT%{_bindir}

find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%_bindir/gexmap

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Jul 20 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.10-2
- rebuilt against gcc 4.3 and kernel 2.6.26
* Tue Apr 15 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.10-1
- Initial Release
